# Generated from hkp_client-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name hkp_client

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: A minimalist client for PGP public keyservers
License: MIT
URL: https://github.com/riboseinc/hkp_client
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry) >= 0.11.0
# BuildRequires: rubygem(pry) < 0.12
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(vcr) >= 4.0
# BuildRequires: rubygem(vcr) < 5
# BuildRequires: rubygem(webmock)
BuildArch: noarch

%description
A minimalist HKP (OpenPGP HTTP Keyserver Protocol) client, which queries PGP
public keyservers, and downloads public keys.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.editorconfig
%{gem_instdir}/.gitattributes
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.hound.yml
%{gem_instdir}/.rubocop.ribose.yml
%{gem_instdir}/.rubocop.tb.yml
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.adoc
%{gem_instdir}/Rakefile
%{gem_instdir}/hkp_client.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.0-1
- Initial package
